Subject: Re: [PATCH net v3] rtnl/bond: don't send rtnl msg for unregistered iface

From: Jiri Pirko <[email-masked]>
Date: Tue, 12 May 2015 18:14:02 +0200

Tue, May 12, 2015 at 06:10:56PM CEST, [email-masked] wrote:
>Le 12/05/2015 17:58, Jiri Pirko a écrit :
>>Tue, May 12, 2015 at 05:17:45PM CEST, [email-masked] wrote:
>[snip]
>>>First, nobody seems to care about NETDEV_CHANGEINFODATA (commit
>>>d4261e565000 says that it was put only to notify userspace). Hence, we can
>>>call directly rtmsg_ifinfo().
>>
>>Please leave this notifier here. Will be needed in very near future for
>>LAG offloading purposes.
>Ok.
>
>>
>>>Secondly, prevent in rtmsg_ifinfo() to send notifications to userspace
>>>about unregistered interfaces.
>>
>>I'm not sure about this. Why caller of rtmsg_ifinfo don't take care of
>>it? Seems more logical to me.
>Simply to avoid code duplication and ensure the bug will not show up in the
>future. The existing bug shows that it's easy to forget that check.

I don't know, seems to me more like curing consequence, not the cause.